#ifndef __GAME_H__
#define __GAME_H__

#include <set>
#include <wiisprite.h>

#include "actor.h"
#include "missileactor.h"
#include "shockwaveactor.h"
#include "siloactor.h"
#include "imageloader.h"
#include "pcmloader.h"

using std::set;
using namespace wsp;

class Game
{
public:
	Game();
	~Game();
  void initialize();
  void activate();
	void update();
  void draw();

protected:
  ImageLoader imgload;
  PcmLoader pcmload;

  set<MissileActor*> playermissiles;
  set<MissileActor*> enemymissiles;
  set<MissileActor*> missiles;
  set<ShockwaveActor*> shockwaves;
  set<SiloActor*> silos;
  set<Actor*> actors;
  
  SiloActor *siloleft;
  SiloActor *silocenter;
  SiloActor *siloright;
  
  Sprite grass;
  Sprite crosshairs;
  Sprite silodomeleft;
  Sprite silodomecenter;
  Sprite silodomeright;

  f32 px,py;
};

#endif
